Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057757 - RFE: build git for el6
Summary: RFE: build git for el6
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: git
Version: el6
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Chris Wright
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-24 18:27 UTC by Suvayu
Modified: 2014-01-27 11:04 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-24 19:04:31 UTC


Attachments (Terms of Use)

Description Suvayu 2014-01-24 18:27:59 UTC
Description of problem:
There is an el5 build for git 1.8, but none for el6!  Many users on our cluster were surprised to see a downgraded git version when the servers were upgraded from SLC5 to SLC6.

Version-Release number of selected component (if applicable):
none existing for el6

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
This downgrade was user-visible because many interface variables were changed in 1.8: e.g. `push.default'.  Git 1.8 introduces backwards incompatible values for this config.

Comment 1 Todd Zullinger 2014-01-24 19:04:31 UTC
Git is not in EPEL for EL6, it is in the base OS.  You'll have to request an update via the proper channels.  I think such a bug is already open, but am not sure.

Comment 2 Todd Zullinger 2014-01-24 19:11:47 UTC
I should have noted that the Fedora git packages rebuild cleanly for el6 (in mock, no other build systems have been tested).  I have made it a priority to ensure that remains true for both el5 and el6, as I build them for my own RHEL and CentOS systems.  That way I don't have to suffer with the ancient git that RHEL6 continues to ship.

Comment 3 Suvayu 2014-01-27 10:32:36 UTC
Thank you for the explanation.  That seems reasonable.

I'm a bit unsure about what is the proper channel for el6 requests.  Can I do that as a non-paying customer?  Is it as simple as opening an RFE on this bugzilla with a different product (RHEL6)?

Comment 4 Ondrej Vasik 2014-01-27 10:46:10 UTC
Yes, there is already request for rebasing git in RHEL-6 - https://bugzilla.redhat.com/show_bug.cgi?id=698889 - however, it can't easily happen in the base channel due to "changes in behaviour" between the versions. As non-paying customer, you can file a bugzilla, but for the case of rebases or feature requests, paying customers requests via appropriate support channels are handled with higher priority when considering update capacity.

Comment 5 Suvayu 2014-01-27 11:04:24 UTC
Thanks a lot Ondrej.


Note You need to log in before you can comment on or make changes to this bug.